{% load transport_utils %}

<form id="{{ filter_form.name }}" class="table-filter unmonitor {{ filter_form.is_bound|yesno:'bound_filter,' }}" method="get" action="{{ request.path }}"
      data-target="#{{ filter_form.name }}_container">
    <table class="table transport_list">
        <tr class="filters">
            <td class="filter_label" colspan="3">Filtrer par:</td>
            <td class="p-0">{{ filter_form.client }}</td><td class="p-0"></td>
            <td class="p-0">{{ filter_form.destination }}</td><td></td>
        </tr>
    </table>
</form>
<div id="{{ filter_form.name }}_container">
{% for date, transpdata in object_list.items %}
    {% if not forloop.first %}</tbody></table></details>{% endif %}
    <details class="transp_group_details"{% if filter_form.is_bound or forloop.first %} open{% endif %}
             {% if not transpdata.transports %}data-url="{% url 'transports-by-status-and-day' view.kwargs.num date|date:'Y-m-d' %}"{% endif %}>
        <summary class="transp_group_date d-flex justify-content-between">
            <div class="flex-grow-1">{{ date|date_transp }} ({{ transpdata.len }})</div>
            <div class="dropdown me-2">
              <button class="btn btn-icon dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                <img class="icon" src="{% static 'img/sort-asc.svg' %}">
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item tri-hrdv">Tri par heure rdv</a></li>
                <li><a class="dropdown-item tri-npa">Tri par NPA départ</a></li>
              </ul>
            </div>
            <div>
                <form method="post" action="{% url 'transport-autoattrib' date.year date.month date.day %}" class="inline">{% csrf_token %}
                <input type="image" class="icon align-bottom" src="{% static 'img/chauffeurs.svg' %}"
                       title="Lancer l’attribution automatique" data-confirm="Voulez-vous vraiment lancer l’attribution automatique pour la journée du {{ date|date_transp }} ?">
                </form>
            </div>
        </summary>
        <table class="table transport_list">
        <thead>
            <tr class="transp_table_header">
                <th class="tline_hour">Départ</th>
                <th class="tline_hour">Rdv</th>
                <th class="tline_hour">Retour</th>
                <th class="tline_client">Client·e</th>
                <th></th><th>Destination</th><th></th>
            </tr>
        </thead>
        <tbody class="transport_body">
    {% for transp in transpdata.transports %}
        {% transport_line transp '-date,-chauffeur' %}
    {% endfor %}
    {% if forloop.last %}</tbody></table></details>{% endif %}
{% empty %}<i>Cette liste est actuellement vide.</i>
{% endfor %}
</div>
